# Support< std::set< boost::shared_ptr< std::size_t > > > Class Template Reference

Support<vector<T> > is a const adapter of std::set to container. More...

List of all members.

## Public Member Functions

| Support (const std::set< value_type > &)
| The type of the values.
bool | empty () const
| Whether it's empty.

## Detailed Description

### template<>
class vcsn::misc::Support< std::set< boost::shared_ptr< std::size_t > > >

Support<vector<T> > is a const adapter of std::set to container.

Definition at line 145 of file bmig_support.hh.